Replace git.openstack.org URLs with opendev.org URLs

Change-Id: I6725bdc2eff5a367b46075c2bf8baa8f2edbabe5
(cherry picked from commit b8232161c0)
(cherry picked from commit dd11fc99ec)
This commit is contained in:
caoyuan 2019-04-23 19:40:22 +08:00 committed by Lukas Bezdicka
parent 02da2dc7d4
commit 09d2626c66
8 changed files with 10 additions and 10 deletions

View File

@ -251,7 +251,7 @@ Note: before starting the upgrade process make sure that both the undercloud
and overcloud nodes have the repositories with upgraded packages set up and overcloud nodes have the repositories with upgraded packages set up
Clone this repository Clone this repository
git clone https://git.openstack.org/openstack/tripleo-upgrade git clone https://opendev.org/openstack/tripleo-upgrade
Set ansible roles path:: Set ansible roles path::
ANSIBLE_ROLES_PATH=$(pwd) ANSIBLE_ROLES_PATH=$(pwd)

View File

@ -5,7 +5,7 @@ description-file =
README.rst README.rst
author = TripleO Team author = TripleO Team
author-email = openstack-discuss@lists.openstack.org author-email = openstack-discuss@lists.openstack.org
home-page = https://git.openstack.org/cgit/openstack/tripleo-upgrade home-page = https://opendev.org/openstack/tripleo-upgrade
classifier = classifier =
License :: OSI Approved :: Apache Software License License :: OSI Approved :: Apache Software License
Development Status :: 4 - Beta Development Status :: 4 - Beta

View File

@ -7,7 +7,7 @@ function apply_patch {
local patch_dir=$1 local patch_dir=$1
local patch_id=$2 local patch_id=$2
curl -4 https://review.openstack.org/changes/${patch_id}/revisions/current/patch?download | \ curl -4 https://review.opendev.org/changes/${patch_id}/revisions/current/patch?download | \
base64 -d > /tmp/patch.txt base64 -d > /tmp/patch.txt
if sudo patch --dry-run --reverse --force -d ${patch_dir} -p1 < /tmp/patch.txt >/dev/null 2>&1 if sudo patch --dry-run --reverse --force -d ${patch_dir} -p1 < /tmp/patch.txt >/dev/null 2>&1

View File

@ -7,7 +7,7 @@ function apply_patch {
local patch_dir=$1 local patch_dir=$1
local patch_id=$2 local patch_id=$2
curl -4 https://review.openstack.org/changes/${patch_id}/revisions/current/patch?download | \ curl -4 https://review.opendev.org/changes/${patch_id}/revisions/current/patch?download | \
base64 -d > /tmp/patch.txt base64 -d > /tmp/patch.txt
if sudo patch --dry-run --reverse --force -d ${patch_dir} -p1 < /tmp/patch.txt >/dev/null 2>&1 if sudo patch --dry-run --reverse --force -d ${patch_dir} -p1 < /tmp/patch.txt >/dev/null 2>&1

View File

@ -10,11 +10,11 @@ function apply_patch {
temp_dir=$( mktemp -d ) temp_dir=$( mktemp -d )
curl -4 --retry 5 https://review.openstack.org/changes/${patch_id}/revisions/current/patch?download | \ curl -4 --retry 5 https://review.opendev.org/changes/${patch_id}/revisions/current/patch?download | \
base64 -d > ${temp_dir}/patch.txt base64 -d > ${temp_dir}/patch.txt
if [[ ${?} -ne 0 ]] ; then if [[ ${?} -ne 0 ]] ; then
echo "Failed to download patch https://review.openstack.org/#/c/${patch_id}/" echo "Failed to download patch https://review.opendev.org/#/c/${patch_id}/"
exit 1 exit 1
fi fi

View File

@ -8,7 +8,7 @@ set -euo pipefail
{% for workaround in item.workarounds %} {% for workaround in item.workarounds %}
{% if workaround.patch_id %} {% if workaround.patch_id %}
curl -4 'https://review.openstack.org/changes/{{workaround.patch_id}}/revisions/current/patch?download' | \ curl -4 'https://review.opendev.org/changes/{{workaround.patch_id}}/revisions/current/patch?download' | \
base64 -d | \ base64 -d | \
sudo patch -d {{ workaround.directory }} -p1 {{ workaround.misc }} sudo patch -d {{ workaround.directory }} -p1 {{ workaround.misc }}
{% endif %} {# end of item.patch_id #} {% endif %} {# end of item.patch_id #}

View File

@ -10,11 +10,11 @@ function apply_patch {
temp_dir=$( mktemp -d ) temp_dir=$( mktemp -d )
curl -4 --retry 5 https://review.openstack.org/changes/${patch_id}/revisions/current/patch?download | \ curl -4 --retry 5 https://review.opendev.org/changes/${patch_id}/revisions/current/patch?download | \
base64 -d > ${temp_dir}/patch.txt base64 -d > ${temp_dir}/patch.txt
if [[ ${?} -ne 0 ]] ; then if [[ ${?} -ne 0 ]] ; then
echo "Failed to download patch https://review.openstack.org/#/c/${patch_id}/" echo "Failed to download patch https://review.opendev.org/#/c/${patch_id}/"
exit 1 exit 1
fi fi

View File

@ -5,7 +5,7 @@ skipdist = True
[testenv] [testenv]
usedevelop = True usedevelop = True
install_command = pip install -c{env:UPPER_CONSTRAINTS_FILE:https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=stable/queens} {opts} {packages} install_command = pip install -c{env:UPPER_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/upper/queens} {opts} {packages}
setenv = VIRTUAL_ENV={envdir} setenv = VIRTUAL_ENV={envdir}
deps = -r{toxinidir}/test-requirements.txt deps = -r{toxinidir}/test-requirements.txt
whitelist_externals = bash whitelist_externals = bash